#ifndef DOXY_H
#define DOXY_H

/** @mainpage ABC API
*
* @section preface_sec Preface
*
* @subsection preface_sec_cautions Cautions
*
* This document may be
*/



/**
*
* @section posix_api ABC POSIX API
*
* @subsection posix_sec_open int open (const char *pathname)
*
* Open's the driver. 
*
*   @param [in] pathname - Mount path for the driver. 
*
*   @retval 0 - Defines success
*
*
* @subsection posix_sec_read ssize_t read(int fd)
*
* This function performs 
*
*	@param [in] int fd - The argument fd must be an open file descriptor
*
*	@retval 0 - On success
*/

/**
* @section nonposix_api NON_POSIX ABC API
*
* @subsection nonposix_sec_start int start_device ()
*/


/**
* @defgroup API ABC functions
*
*/


/**
* @ingroup API
* This function
*
* @retval AAA* - Pointer
*/

extern AAA *usAAA (void);

#endif
